/**
 * Description of module:
 * Modulo para gestionar la inicializacion del DEBUG 
 * y la impresion a traves de UART
 *
 * author: Jorge Saiz Gil
 *
 * revision 1.0 date 25/04/2016
 */

#ifndef DEBUG_H_
#define DEBUG_H_

/*-----------------------------------------------------------
 * INCLUDES
 *----------------------------------------------------------*/
#include <LPC17xx.h>

/*-----------------------------------------------------------
 * DECLARACIONES
 *----------------------------------------------------------*/

/** Inicializa el puerto UART pasado por parametro con el
*	con el baudrate pasado por parametro
*
* @precondition 	El numero de puerto esta dentro de los disponibles.
*
* @param portNum   	uint32_t, indica el puerto UART
* @param Baudrate  	uint32_t, Baudrate al que va a trabajar el UART
*
* @return NONE
*/
void DEBUG_Init( uint32_t portNum, uint32_t Baudrate );

/** Imprime los valores pasados por parametro
*	a traves del UART definido en UART_DEBUG_Init
*
* @precondition 	El UART esta inicializado
*
* @param format   	char*, Puntero char, Valores a imprimir
*
* @return NONE
*/
void DEBUG_Print ( char * format, ...);



#endif /* DEBUG_H_ */
