/*
 * Debug.c
 *
 *  Created on: 25/04/2016
 *      Author: Jorge Saiz Gil
 */


/*-----------------------------------------------------------
 * INCLUDES
 *----------------------------------------------------------*/
#include <FreeRTOS.h>
#include <semphr.h>
#include <type.h>
#include <Debug.h>
#include <UARTprint.h>
#include <uart.h>
#include <Config.h>

#include <stdio.h>
#include <string.h>
#include <stdarg.h>
#include <stdlib.h>

/*-----------------------------------------------------------
 * DECLARACIONES
 *----------------------------------------------------------*/

xSemaphoreHandle xMutexDebug;
uint32_t DebugPort; // variable local para almacenar el puerto UART


void DEBUG_Init( uint32_t portNum, uint32_t Baudrate )
{
	DebugPort = portNum;
	UARTInit(DebugPort, Baudrate);
	xMutexDebug = xSemaphoreCreateMutex();
	DEBUG_Print ( "UART Debug online." );
}


void DEBUG_Print ( char * format, ...)
{
	if(xSemaphoreTake( xMutexDebug, portMAX_DELAY )==pdTRUE)
	{
		static char Print_Buffer[BUFSIZE];
		va_list args;
		va_start (args, format);
		vsprintf (Print_Buffer,format, args);
		va_end (args);
		UARTPrint_Text (DebugPort,"DEBUG: ");
		UARTPrint_Text_LF ( DebugPort ,(char*)Print_Buffer);
	}
	xSemaphoreGive( xMutexDebug );
}
